sawYawn = false;

if (not global.gaveUp) {

	var distFromCenter = point_distance(x, y, mouse_x, mouse_y);

	if (distFromCenter > cameraMoveBuffer) {
		var spd = maxMoveSpd;
		if (distFromCenter < cameraMaxSpeedDistance) {
			spd = maxMoveSpd * (distFromCenter / (cameraMaxSpeedDistance));
		}

		var dir = point_direction(x, y, mouse_x, mouse_y);
		x += lengthdir_x(spd, dir);
		y += lengthdir_y(spd, dir);
	}

	if (place_meeting(x, y, oTarget)) {
		collision_circle_list(x, y, (bbox_right - bbox_left) / 2, oTarget, false, true, checkList, false);

		var lSize = ds_list_size(checkList);
		if (lSize > 0) {
			for (var i = 0; i < lSize; i++) {
				var inst = ds_list_find_value(checkList, i);
				if (inst.state == TargetState.yawning) {
					sawYawn = true;
					yawnTrack += 1;
					yawnScale += yawnAmount;
					
					if (warningSat < 128) {
						warningSat += 2;
					}

					break;
				}
			}

			ds_list_clear(checkList);
		}
	}

	if (sawYawn) {
		if (yawnTrack >= 60) {
			if (yawnAmount < yawnMax) {
				yawnAmount += yawnIncPerSec;
				yawnTrack = 0;
			} else {
				yawnAmount = yawnMax;
				yawnTrack = 0;
			}
		}
	} else {
		yawnTrack = 0;
		if (warningSat > 0) {
			warningSat -= 3;
			
			warningSat = clamp(warningSat, 0, 255);
		}
	}

	if (yawnScale >= 100) {
		room_goto(rScore);
	}

	global.timeLived += 1;

	if (mouse_check_button(mb_right)) {
		global.giveUpTimer += 1;

		if (global.giveUpTimer >= giveUpAt) {
			global.gaveUp = true;
		}
	} else if (global.giveUpTimer > 0) {
		global.giveUpTimer -= 0.3;
	}
	
	warningColor = make_color_hsv(255, warningSat, 255);
} else {
	var dir = point_direction(x, y, oFindController.x, oFindController.y);

	xSpd = approach(xSpd, lengthdir_x(maxMoveSpd, dir), accel);
	ySpd = approach(ySpd, lengthdir_y(maxMoveSpd, dir), accel);

	x += xSpd;
	y += ySpd;

	if (not endHere) {
		endHere = true;
		alarm[1] = 300;
	}
}

x = clamp(x, spriteHalfW + borderW, room_width - spriteHalfW - borderW);
y = clamp(y, spriteHalfH, room_height - spriteHalfH);



