// Loop over current yawners and check if they are still yawning
// Reverse loop so can proactively remove items
for (var i = array_length(yawners) - 1; i >= 0; i--) {
	var inst = yawners[i];
	if (not inst.yawning) {
		show_debug_message("Target no longer yawning, removing " + string(inst));
		// add target to a temporary hold array so they don't start yawning again immedietally
		array_push(hold, inst);
		// remove target from yawning array
		array_delete(yawners, i, 1);
	}
	// Moving to oPlayerController
	//else if (inst.state == TargetState.yawning) {
	//	var playC = oPlayerController;
	//	if (point_distance(inst.x, inst.y, playC.x, playC.y) <= 150) {
	//		playC.yawnScale += 1;
	//	}
	//}
}

// Get current length of yawners
var currentYawners = array_length(yawners);

// Get number of yawners that need to start yawning
var newYawners = global.stage - currentYawners;

if (newYawners > 0) {
	show_debug_message("Adding " + string(newYawners) + " new yawners");
}

// Loop for each new yawner and add a random target to the list from available targets
for (var i = 0; i < newYawners; i++) {
	// Get length of targets array
	var tLen = array_length(targets);

	if (tLen > 0) {
		// Get random target
		var randInd = irandom(tLen - 1)
		var newYawn = targets[randInd];
		newYawn.yawning = true;
		
		show_debug_message(string(newYawn) + " added to yawners");

		// Add to yawning array
		array_push(yawners, newYawn);
		array_delete(targets, randInd, 1);
	} else {
		// Stop looping if no more targets in target array
		break;
	}
}

var holdLen = array_length(hold);

if (holdLen > 0) {
	show_debug_message("Entities on hold: " + string(hold));
	// Add targets on hold back to target list
	for (var i = 0; i < holdLen; i++) {
		array_push(targets, hold[i]);
	}

	// Empty hold array
	delete hold;
	hold = [];
}

